<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{trainingsites.editdepartment}">Abteilung bearbeiten</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>
	<main>
	<form data-th-attr="action=@{/locations/trainingsites/clinics/{clinicId}/departments/update(clinicId=${department.clinic.id})}" method="post" th:object="${department}">
		<input type="hidden" th:field="*{id}" /> <input type="hidden" data-th-field="*{authorisedDoctors}" />

		<fieldset>
			<legend data-th-text="#{locations.commondata}">Allgemeine Daten</legend>
			<th:block data-th-replace="fragments/forms::text(field='name')" />
		</fieldset>

		<div data-th-insert="fragments/persons::fieldsetAddressDataWithRegion"></div>
		<div data-th-insert="fragments/persons::fieldsetContactData"></div>

		<th:block data-th-replace="locations/fragments::trainingSiteWithData(${treatmentTypes}, ${medicalFields}, ${equipments}, *{authorisedDoctors})" />
		<p data-th-replace="fragments/snippets::save" />
	</form>
	</main>
</body>
</html>